hspec-smallcheck-0.5.3: SmallCheck support for the Hspec testing framework

Safe Haskell | None
Language | Haskell2010

Test.Hspec.SmallCheck

Contents

- Orphan instances

# Documentation

property :: Testable IO a => a -> Property IO Source #

# Orphan instances

Testable IO (IO ()) Source # |
Instance details Methods test :: IO () -> Property IO Source #
Example (Property IO) Source # |

Instance details

Associated Types

type Arg (Property IO) |
Instance details Defined in Test.Hspec.SmallCheck type Arg (Property IO) = ()

Methods

evaluateExample :: Property IO -> Params -> (ActionWith (Arg (Property IO)) -> IO ()) -> ProgressCallback -> IO Result Source #